//General ---------------------------------------------------------------------------------
datablock AudioProfile(DuelChargedSound)
{
   filename    = "./clickPlant.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberLoopSound)
{
   filename    = "./LightsaberHum.wav";
   description = AudioCloseLooping3d;
   preload = true;
};

datablock AudioProfile(SaberPlayerHit1Sound)
{
   filename    = "./LightsaberPlayer_Hit1.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberPlayerHit2Sound)
{
   filename    = "./LightsaberPlayer_Hit2.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberPlayerHit3Sound)
{
   filename    = "./LightsaberPlayer_Hit3.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberPlayerHit4Sound)
{
   filename    = "./LightsaberPlayer_Hit4.wav";
   description = AudioClosest3d;
   preload = true;
};


//Type 1 ---------------------------------------------------------------------------------

datablock AudioProfile(SaberOn1Sound)
{
   filename    = "./1_LightsaberOn.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing1_1Sound)
{
   filename    = "./1_LightsaberSwing1.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing1_2Sound)
{
   filename    = "./1_LightsaberSwing2.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing1_3Sound)
{
   filename    = "./1_LightsaberSwing3.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing1SlowSound)
{
   filename    = "./1_LightsaberSwingSlow.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberHit1Sound)
{
   filename    = "./1_LightsaberHit.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberHit1StrongSound)
{
   filename    = "./1_LightsaberHitStrong.wav";
   description = AudioClosest3d;
   preload = true;
};
//Type 2 ---------------------------------------------------------------------------------
datablock AudioProfile(SaberOn2Sound)
{
   filename    = "./2_LightsaberOn.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing2_1Sound)
{
   filename    = "./2_LightsaberSwing1.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing2_2Sound)
{
   filename    = "./2_LightsaberSwing2.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing2_3Sound)
{
   filename    = "./2_LightsaberSwing3.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing2SlowSound)
{
   filename    = "./2_LightsaberSwingSlow.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberHit2Sound)
{
   filename    = "./2_LightsaberHit.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberHit2StrongSound)
{
   filename    = "./2_LightsaberHitStrong.wav";
   description = AudioClosest3d;
   preload = true;
};

//Type 3 ---------------------------------------------------------------------------------
datablock AudioProfile(SaberOn3Sound)
{
   filename    = "./3_LightsaberOn.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing3_1Sound)
{
   filename    = "./3_LightsaberSwing1.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing3_2Sound)
{
   filename    = "./3_LightsaberSwing2.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing3_3Sound)
{
   filename    = "./3_LightsaberSwing3.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberSwing3SlowSound)
{
   filename    = "./3_LightsaberSwingSlow.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberHit3Sound)
{
   filename    = "./3_LightsaberHit.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SaberHit3StrongSound)
{
   filename    = "./3_LightsaberHitStrong.wav";
   description = AudioClosest3d;
   preload = true;
};


datablock ParticleData(LightsaberSmokeParticle)
{
	dragCoefficient      = 0.1;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 3000;
	lifetimeVarianceMS   = 1000;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.4 0.4 0.4 0.3";
	colors[1]     = "0.4 0.25 0.3 0.0";
	sizes[0]      = 0.25;
	sizes[1]      = 0.75;

	useInvAlpha = true;
};

datablock ParticleEmitterData(LightsaberSmokeEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 1;
   ejectionVelocity = 0.2;
   velocityVariance = 0.3;
   ejectionOffset   = 0.5;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "LightsaberSmokeParticle";

   useEmitterColors = true;
   uiName = "Lightsaber Smoke";
};

datablock ExplosionData(Lightsaber1Explosion)
{
   //explosionShape = "";
   	soundProfile = SaberHit1Sound;

   lifeTimeMS = 150;

   particleEmitter = LightsaberSmokeEmitter;
   particleDensity = 6;
   particleRadius = 0.25;


   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 2.5;
   lightEndRadius = 0.0;
   lightStartColor = "0.7 0.5 0.1 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(Lightsaber1StrongExplosion)
{
   //explosionShape = "";
   	soundProfile = SaberHit1StrongSound;

   lifeTimeMS = 150;

   particleEmitter = LightsaberSmokeEmitter;
   particleDensity = 6;
   particleRadius = 0.25;


   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 4;
   lightEndRadius = 0.0;
   lightStartColor = "0.7 0.5 0.1 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(Lightsaber2Explosion)
{
   //explosionShape = "";
   	soundProfile = SaberHit2Sound;

   lifeTimeMS = 150;

   particleEmitter = LightsaberSmokeEmitter;
   particleDensity = 6;
   particleRadius = 0.25;


   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 2.5;
   lightEndRadius = 0.0;
   lightStartColor = "0.7 0.5 0.1 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(Lightsaber2StrongExplosion)
{
   //explosionShape = "";
   	soundProfile = SaberHit2StrongSound;

   lifeTimeMS = 150;

   particleEmitter = LightsaberSmokeEmitter;
   particleDensity = 6;
   particleRadius = 0.25;


   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 4;
   lightEndRadius = 0.0;
   lightStartColor = "0.7 0.5 0.1 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(Lightsaber3Explosion)
{
   //explosionShape = "";
   	soundProfile = SaberHit3Sound;

   lifeTimeMS = 150;

   particleEmitter = LightsaberSmokeEmitter;
   particleDensity = 6;
   particleRadius = 0.25;


   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 2.5;
   lightEndRadius = 0.0;
   lightStartColor = "0.7 0.5 0.1 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(Lightsaber3StrongExplosion)
{
   //explosionShape = "";
   	soundProfile = SaberHit3StrongSound;

   lifeTimeMS = 150;

   particleEmitter = LightsaberSmokeEmitter;
   particleDensity = 6;
   particleRadius = 0.25;


   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 4;
   lightEndRadius = 0.0;
   lightStartColor = "0.7 0.5 0.1 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(LightsaberPlayerHitExplosion)
{
   //explosionShape = "";
	//soundProfile = BladeHitPlayerSound;

   lifeTimeMS = 150;

   //particleEmitter = BladeMetalPlayerHitExplosionEmitter;
   //particleDensity = 4;
   //particleRadius = 0.15;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 1;
   lightEndRadius = 0.0;
   lightStartColor = "0.7 0.5 0.1 0.6";
   lightEndColor = "0 0 0";
};